> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patch.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Releases waiting for a staff member, oldest first



## OpenAPI

````yaml /api-reference/openapi.json get /staff/reviews
openapi: 3.1.0
info:
  title: Patch API
  version: 1.0.0
  description: >-
    The public API behind patch.gg, the desktop app and pch. Changes within v1
    are additive only. Errors are { error: { code, message, details } }; branch
    on code.
servers:
  - url: https://patch.gg/api/v1
security: []
paths:
  /staff/reviews:
    get:
      tags:
        - Staff
      summary: Releases waiting for a staff member, oldest first
      responses:
        '200':
          description: The queue
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReviewQueueItem'
                required:
                  - data
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Not signed in
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Not allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer: []
components:
  schemas:
    ReviewQueueItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        project:
          type: string
        name:
          type: string
        version:
          type: string
        kind:
          type: string
          enum:
            - web_game
            - mod
            - crossover_mod
            - remix
        trust_tier:
          type: string
          enum:
            - sandboxed
            - game_files_only
            - runs_code
          description: >-
            What the release can do on the player's PC, worked out from its
            recipe and files: runs sandboxed in Patch, changes game files only,
            or runs code. Drives the consent sheet and review.
        submitted_at:
          type:
            - string
            - 'null'
        recipe:
          type:
            - object
            - 'null'
          additionalProperties: {}
        check_runs:
          type: array
          items:
            $ref: '#/components/schemas/CheckRun'
      required:
        - id
        - project
        - name
        - version
        - kind
        - trust_tier
        - submitted_at
        - recipe
        - check_runs
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: version_exists
            message:
              type: string
            details: {}
          required:
            - code
            - message
      required:
        - error
    CheckRun:
      type: object
      properties:
        id:
          type: string
          format: uuid
        kind:
          type: string
          enum:
            - files
            - test
            - cloud
        status:
          type: string
          enum:
            - queued
            - running
            - passed
            - failed
            - errored
        summary:
          type:
            - string
            - 'null'
        rules_version:
          type: string
        test_id:
          type:
            - string
            - 'null'
          format: uuid
        started_at:
          type:
            - string
            - 'null'
        finished_at:
          type:
            - string
            - 'null'
        findings:
          type: array
          items:
            $ref: '#/components/schemas/Finding'
      required:
        - id
        - kind
        - status
        - summary
        - rules_version
        - test_id
        - started_at
        - finished_at
        - findings
    Finding:
      type: object
      properties:
        rule_id:
          type: string
          example: PA-130
        severity:
          type: string
          enum:
            - blocking
            - warning
            - info
        path:
          type:
            - string
            - 'null'
          description: The file it's about, if any
        message:
          type: string
        suggestion:
          type:
            - string
            - 'null'
          description: What to change
      required:
        - rule_id
        - severity
        - path
        - message
        - suggestion
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: An API key (pch_...) or the token from pch login.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.